Subject: Re: bug#38181: Actual height of mode-line not taken into account

From: martin rudalics <[email-masked]>
Date: Sat, 16 Nov 2019 20:30:55 +0100

> However, if after
 > calling display_mode_lines we detect that the height of the mode line
 > changed, we schedule an immediate thorough redisplay.

... which, unfortunately, will not re-run ‘fit-window-to-buffer’ but
just use its earlier computed values.  Theoretically, 'redisplay'
could check the 'preserve-size' parameter of each window and try to
preserve the text height when resizing the mode line.  But I wouldn't
want to think of all the tricky details of such an approach.

martin